X
Tippen Sie hierhin, um die Version dieser Website für Mobilgeräte aufzurufen.

Hilfeforum

Website Menus Disappear When Moving Mouse; Unable to Make Selection.

Veröffentlicht

I can hover over the menu and it will display my submenus; however when I move my mouse in an attempt to select something from that submenu, the submenu disappears. Never able to select anything within the menu. I have tried running in Safe Mode, didn't resolve. This started the end of May 2019. There were no changes made to the website.

I can hover over the menu and it will display my submenus; however when I move my mouse in an attempt to select something from that submenu, the submenu disappears. Never able to select anything within the menu. I have tried running in Safe Mode, didn't resolve. This started the end of May 2019. There were no changes made to the website.
Zitieren

Mehr Details zum System

Anwendung

  • User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:67.0) Gecko/20100101 Firefox/67.0

Weitere Informationen

fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

I wonder if this problem exists when using asp files as I just realized that I have a message board on another asp.net webhost that does not work using Firefox 68.0.1 The link is http://fredspools.somee.com . use guest/guest to log in.

I wonder if this problem exists when using asp files as I just realized that I have a message board on another asp.net webhost that does not work using Firefox 68.0.1 The link is http://fredspools.somee.com . use guest/guest to log in.
Hat Ihnen das weitergeholfen?
Zitieren
jscher2000
  • Top 10 Contributor
8632 Lösungen 70597 Antworten
Veröffentlicht

I couldn't access the message board. However, does it use the same menu script?

I couldn't access the message board. However, does it use the same menu script?
Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

Try guest/guest123 which should get you in. As for your question about the menu script, I believe it is except that this menu uses an asp file instead of an php file.

Try guest/guest123 which should get you in. As for your question about the menu script, I believe it is except that this menu uses an asp file instead of an php file.
Hat Ihnen das weitergeholfen?
Zitieren
jscher2000
  • Top 10 Contributor
8632 Lösungen 70597 Antworten
Veröffentlicht

Sorry, I don't see where the problem is. That page seems to use the same scripts we worked on before.

Sorry, I don't see where the problem is. That page seems to use the same scripts we worked on before.
Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

My apologies, I thought I had spelled out the problem. The problem is not accessing the message board, the problem is that you can't type anything into the message board. You can do so using Edge, or Waterfox however. You can't (at least I can't) type anything using Firefox 68.0.1

My apologies, I thought I had spelled out the problem. The problem is not accessing the message board, the problem is that you can't type anything into the message board. You can do so using Edge, or Waterfox however. You can't (at least I can't) type anything using Firefox 68.0.1
Hat Ihnen das weitergeholfen?
Zitieren
jscher2000
  • Top 10 Contributor
8632 Lösungen 70597 Antworten
Veröffentlicht

Rich text editors require the body tag to have contenteditable="true" and that seems to be missing in this case for some reason.

Can you update the editor script? /scripts/tiny_mce/tiny_mce.js looks a bit ancient now:

majorVersion:"3",minorVersion:"4.4",releaseDate:"2011-08-04"

If you don't want to leap to the current generation, you could check some of the intermediate releases (that one is no longer even on the download page):

https://www.tiny.cloud/get-tiny/self-hosted/

Rich text editors require the body tag to have '''contenteditable="true"''' and that seems to be missing in this case for some reason. Can you update the editor script? /scripts/tiny_mce/tiny_mce.js looks a bit ancient now: majorVersion:"3",minorVersion:"4.4",'''releaseDate:"2011-08-04"''' If you don't want to leap to the current generation, you could check some of the intermediate releases (that one is no longer even on the download page): https://www.tiny.cloud/get-tiny/self-hosted/
Hat Ihnen das weitergeholfen?
Zitieren
cor-el
  • Top 10 Contributor
  • Moderator
17407 Lösungen 157258 Antworten
Veröffentlicht

The TinyMCE editor doesn't seem to be initializing properly. It doesn't work for me with Firefox 67.0.4 as well. Firefox 66.0.4 works. Attached a screenshot from 66.0.4

The TinyMCE editor doesn't seem to be initializing properly. It doesn't work for me with Firefox 67.0.4 as well. Firefox 66.0.4 works. Attached a screenshot from 66.0.4

Geändert am von cor-el

Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

So it doesn't appear to work on any Firefox versions. Also, in looking at the downloads for tiny_mce file that you suggested, I noticed that tine_mce.js is not availabla for download but since this is not my script, I don't know if uploading the tinymce.js file that came with the most recent download would work without going in and changing the file name wherever it appears in the application.

Lastly, why would the application work as is in both Microsoft Edge and Waterfox?

So it doesn't appear to work on any Firefox versions. Also, in looking at the downloads for tiny_mce file that you suggested, I noticed that tine_mce.js is not availabla for download but since this is not my script, I don't know if uploading the tinymce.js file that came with the most recent download would work without going in and changing the file name wherever it appears in the application. Lastly, why would the application work as is in both Microsoft Edge and Waterfox?
Hat Ihnen das weitergeholfen?
Zitieren
jscher2000
  • Top 10 Contributor
8632 Lösungen 70597 Antworten
Veröffentlicht

fbonani1 said

So it doesn't appear to work on any Firefox versions.

cor-el found it to work on Firefox 66.

Also, in looking at the downloads for tiny_mce file that you suggested, I noticed that tine_mce.js is not availabla for download but since this is not my script, I don't know if uploading the tinymce.js file that came with the most recent download would work without going in and changing the file name wherever it appears in the application.

I'm sure there would be a lot of changes to catch up for 8 years of development. If you are not comfortable making changes, you could contact the source and ask about how to update.

Lastly, why would the application work as is in both Microsoft Edge and Waterfox?

Waterfox is based on Firefox 56, so it doesn't have changes made to Firefox during the past 32 months.

With respect to Edge, possibly different code is served to the two browsers. You might be able to determine that if you have a non-minified version of the library.

''fbonani1 [[#answer-1240895|said]]'' <blockquote> So it doesn't appear to work on any Firefox versions. </blockquote> cor-el found it to work on Firefox 66. <blockquote>Also, in looking at the downloads for tiny_mce file that you suggested, I noticed that tine_mce.js is not availabla for download but since this is not my script, I don't know if uploading the tinymce.js file that came with the most recent download would work without going in and changing the file name wherever it appears in the application.</blockquote> I'm sure there would be a lot of changes to catch up for 8 years of development. If you are not comfortable making changes, you could contact the source and ask about how to update. <blockquote>Lastly, why would the application work as is in both Microsoft Edge and Waterfox? </blockquote> Waterfox is based on Firefox 56, so it doesn't have changes made to Firefox during the past 32 months. With respect to Edge, possibly different code is served to the two browsers. You might be able to determine that if you have a non-minified version of the library.
Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

Thanks again for your response. I guess I have to give up on this application as I don't have the coding skills needed to fix the problem. As for contacting the original developer, I have not been able to find the means to do so.

Thanks again for your response. I guess I have to give up on this application as I don't have the coding skills needed to fix the problem. As for contacting the original developer, I have not been able to find the means to do so.
Hat Ihnen das weitergeholfen?
Zitieren
cor-el
  • Top 10 Contributor
  • Moderator
17407 Lösungen 157258 Antworten
Veröffentlicht

It does work with Firefox 60 ESR and with Firefox 66.0.4 It doesn't work with Firefox 67 and later.

Could this be a problem with matchAll that got implemented in Firefox 67?

It does work with Firefox 60 ESR and with Firefox 66.0.4 It doesn't work with Firefox 67 and later. Could this be a problem with matchAll that got implemented in Firefox 67? *https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/matchAll *https://www.mozilla.org/en-US/firefox/67.0/releasenotes/ *https://bugzilla.mozilla.org/show_bug.cgi?id=1435829
Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

I assume you are asking the question of matchAll to someone else, because those links take me to pages that are way above my head.

I assume you are asking the question of matchAll to someone else, because those links take me to pages that are way above my head.

Geändert am von fbonani1

Hat Ihnen das weitergeholfen?
Zitieren
cor-el
  • Top 10 Contributor
  • Moderator
17407 Lösungen 157258 Antworten
Veröffentlicht

If I do a search in the Debugger for matchAll then I get hits in TinyMCE.

Did you check if there is an update for TinyMCE to address this issue? It isn't the first time that a script library uses a keyword that gets implemented in the current Firefox release and thus breaks things.

If I do a search in the Debugger for matchAll then I get hits in TinyMCE. Did you check if there is an update for TinyMCE to address this issue? It isn't the first time that a script library uses a keyword that gets implemented in the current Firefox release and thus breaks things.
Hat Ihnen das weitergeholfen?
Zitieren
fbonani1 0 Lösungen 15 Antworten
Veröffentlicht

I did check to see if there is an update and the file in question does not have an update, at least not with the same file name. At this point it is not worth it for me to continue to make this work especially since I don't have the coding skills needed to fix the problem and the developer is not available. I appreciate your help to this point.

I did check to see if there is an update and the file in question does not have an update, at least not with the same file name. At this point it is not worth it for me to continue to make this work especially since I don't have the coding skills needed to fix the problem and the developer is not available. I appreciate your help to this point.
Hat Ihnen das weitergeholfen?
Zitieren
Stellen Sie eine Frage

Sie müssen sich mit Ihrem Benutzerkonto anmelden, um auf Beiträge zu antworten. Bitte stellen Sie eine neue Frage, wenn Sie noch kein Benutzerkonto haben.